<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="#">AuthApp</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarText">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" [routerLink]="['home']">Home <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" [routerLink]="['pricing']">Pricing</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" [routerLink]="['private']" *ngIf="auth.isAuthenticated()">Private</a>
      </li>
    </ul>
    <span class="navbar-text">
      <button type="button" class="btn btn-outline-primary btn-sm"
      *ngIf="!auth.isAuthenticated()"
      (click)="login()">Login</button>
      <button type="button" class="btn btn-outline-primary btn-sm"
      *ngIf="auth.isAuthenticated()"
      (click)="logout()">Logout</button>
    </span>
  </div>
</nav>
